/**
*
*  Name         flclose -- Close a file
*
*  Synopsis     ercode = flclose(handle);
*               int  ercode       Returned DOS error code
*               int  handle       Handle of file to close
*
*  Description  FLCLOSE closes the file associated with the specified
*               file handle.  Unexpected results may occur if one of the
*               reserved file handles (0 through 4) is closed.
*
*  Returns      ercode            DOS 2.0 function error return code
*
*  Version      1.0  (C)Copyright Blaise Computing Inc.  1983
*
**/
struct dreg
{
  unsigned ax,bx,cx,dx,si,di,ds,es;
};
#define DOSREG  struct dreg

int flclose(handle)
int handle;
{

    DOSREG dos_reg;
    int    utinit(),dos();

    utinit(&dos_reg);                  /* Initialize registers         */
    dos_reg.ax = 0x3e00;               /* Function 3E                  */
    dos_reg.bx = handle;

    return(dos(&dos_reg));

}
