/**
*
*  Name         flretdta -- Return the Disk Transfer Area (DTA) location
*
*  Synopsis     ercode = flretdta(pdta_ads);
*               int ercode        DOS function return code
*               ADS *pdta_ads     Segment, offset address for the DTA
*
*  Description  This function returns the segment offset address of the
*               current DTA.  See FLSETDTA.
*
*  Returns      ercode            DOS function return code (always 0).
*               pdta_ads          Current segment and offset of the DTA
*
*  Version      1.1  (C)Copyright Blaise Computing Inc.  1983, 1984
*
**/
struct segads                          /* Segment,offset address type  */
{
  unsigned r;
  unsigned s;
};
#define ADS     struct segads          /* Abbreviation                 */

struct dreg
{
  unsigned ax,bx,cx,dx,si,di,ds,es;
};
#define DOSREG  struct dreg

int flretdta(pdta_ads)
ADS *pdta_ads;
{

    DOSREG dos_reg;
    int    ercode,utinit(),dos();

    utinit(&dos_reg);                  /* Initialize registers         */
    dos_reg.ax  = 0x2f00;              /* DOS function 2F              */
    ercode      = dos(&dos_reg);
    pdta_ads->s = dos_reg.es;
    pdta_ads->r = dos_reg.bx;

    return(ercode);

}
